# Uses of Interface
org.xml.sax.Parser

Packages that use Parser
Package
Description
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of Parser in javax.xml.parsers

Methods in javax.xml.parsers that return Parser
Modifier and Type
Method
Description
`abstract Parser`
SAXParser.`getParser()`
Returns the SAX parser that is encapsulated by the implementation of this class.

## Uses of Parser in org.xml.sax.helpers

Classes in org.xml.sax.helpers that implement Parser
Modifier and Type
Class
Description
`class`
`XMLReaderAdapter`
Adapt a SAX2 XMLReader as a SAX1 Parser.
Methods in org.xml.sax.helpers that return Parser
Modifier and Type
Method
Description
`static Parser`
ParserFactory.`makeParser()`
Deprecated.
Create a new SAX parser using the `org.xml.sax.parser' system property.
`static Parser`
ParserFactory.`makeParser(String className)`
Deprecated.
Create a new SAX parser object using the class name provided.
Constructors in org.xml.sax.helpers with parameters of type Parser
Modifier
Constructor
Description
``
`ParserAdapter(Parser parser)`
Construct a new parser adapter.